# Class Mx1Resource

java.lang.Object
com.io7m.montarre.xml.internal.v1.Mx1Resource

All Implemented Interfaces:
  `com.io7m.blackthorne.core.BTElementHandlerType<MCaption, MResource>`

public final class Mx1Resource extends Object implements com.io7m.blackthorne.core.BTElementHandlerType<MCaption, MResource>
A parser.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Mx1Resource(com.io7m.blackthorne.core.BTElementParsingContextType context)`
  A parser.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<com.io7m.blackthorne.core.BTQualifiedName, com.io7m.blackthorne.core.BTElementHandlerConstructorType<?, ? extends MCaption>>`
  `onChildHandlersRequested(com.io7m.blackthorne.core.BTElementParsingContextType context)`
  `void`
  `onChildValueProduced(com.io7m.blackthorne.core.BTElementParsingContextType context, MCaption result)`
  `MResource`
  `onElementFinished(com.io7m.blackthorne.core.BTElementParsingContextType context)`
  `void`
  `onElementStart(com.io7m.blackthorne.core.BTElementParsingContextType context, Attributes attributes)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.blackthorne.core.BTElementHandlerType

  `map, name, onCharacters, onShouldIgnoreUnrecognizedElements`

- ## Constructor Details

  - ### Mx1Resource

    public Mx1Resource(com.io7m.blackthorne.core.BTElementParsingContextType context)
    A parser.
    Parameters:
      `context` - The context

- ## Method Details

  - ### onChildHandlersRequested

    public Map<com.io7m.blackthorne.core.BTQualifiedName, com.io7m.blackthorne.core.BTElementHandlerConstructorType<?, ? extends MCaption>> onChildHandlersRequested(com.io7m.blackthorne.core.BTElementParsingContextType context)
    Specified by:
      `onChildHandlersRequested` in interface `com.io7m.blackthorne.core.BTElementHandlerType<MCaption, MResource>`

  - ### onChildValueProduced

    public void onChildValueProduced(com.io7m.blackthorne.core.BTElementParsingContextType context, MCaption result)
    Specified by:
      `onChildValueProduced` in interface `com.io7m.blackthorne.core.BTElementHandlerType<MCaption, MResource>`

  - ### onElementStart

    public void onElementStart(com.io7m.blackthorne.core.BTElementParsingContextType context, Attributes attributes)
    Specified by:
      `onElementStart` in interface `com.io7m.blackthorne.core.BTElementHandlerType<MCaption, MResource>`

  - ### onElementFinished

    public MResource onElementFinished(com.io7m.blackthorne.core.BTElementParsingContextType context)
    Specified by:
      `onElementFinished` in interface `com.io7m.blackthorne.core.BTElementHandlerType<MCaption, MResource>`